# $Revision: 1.35 $, $Date: 2010/06/07 18:04:13 $
Summary:	tla arch - revision control system
Summary(pl.UTF-8):	tla arch - system kontroli wersji
Name:		tla
Version:	1.3.5
Release:	6
Epoch:		1
License:	GPL v2
Group:		Development/Version Control
Source0:	http://ftp.gnu.org/gnu/gnu-arch/%{name}-%{version}.tar.gz
# Source0-md5:	db31ee89bc4788eef1eba1cee6c176ef
Patch0:		%{name}-neon.patch
URL:		http://www.gnu.org/software/gnu-arch/
BuildRequires:	libtool
BuildRequires:	neon-devel
# required by the configure script
BuildRequires:	patch
BuildRequires:	which
Requires:	diffutils
Requires:	patch
Requires:	tar
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
tla arch is a revision control system: a program that lets programmers
archive a history of changes made to the software they maintain and
that, more importantly, helps programmers to coordinate, synchronize,
and combine multiple lines of development for a single project.

arch version tla is a C version of the reference arch concepts.

%description -l pl.UTF-8
tla arch jest systemem kontroli wersji - programem, który pozwala
programistom archiwizować historię zmian wykonanych w rozwijanym przez
nich oprogramowaniu oraz, co ważniejsze, pomaga programistom
koordynować, synchronizować i łączyć wiele linii kodu podczas rozwoju
projektu.

arch w wersji tla to wersja w C wzorcowych idei arch.

%prep
%setup -q
%patch0 -p1

rm -rf src/libneon src/expat

%build
cd src
mkdir =build
cd =build

CFLAGS="%{rpmcflags}"
CXXFLAGS="%{rpmcflags}"
FFLAGS="%{rpmcflags}"
export CFLAGS CXXFLAGS FFLAGS

# custom configure script
../configure \
	--destdir=$RPM_BUILD_ROOT \
	--prefix=%{_prefix} \
	--with-cc="%{__cc}" \
	--with-ssh-type=openssh
%{__make} -j1

# ok, I tested already
%{__make} -j1 test

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 -C src/=build install

rm -rf html
cp -a src/docs-tla html
find html -type f ! -name "*.html" -exec rm -rf "{}" ";"
find html -type d -name ".arch-ids" -exec rm -rf "{}" ";" || :
find html -type d -name "{arch}" -exec rm -rf "{}" ";" || :

rm -rf $RPM_BUILD_ROOT%{_libdir}
rm -rf $RPM_BUILD_ROOT%{_prefix}/src

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc html
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tla.spec,v $
Revision 1.35  2010/06/07 18:04:13  hawk
- release 6

Revision 1.34  2010/05/16 15:33:54  sparky
- BR: which
- explicit BR: patch
- dropped common BR: findutils

Revision 1.33  2010/04/12 12:43:04  baggins
- rel 5

Revision 1.32  2010/01/09 18:50:49  arekm
- release 4

Revision 1.31  2009/02/08 09:51:32  arekm
- release 3

Revision 1.30  2008/04/08 08:24:55  glen
- unify ftp.gnu.org urls

Revision 1.29  2007-08-31 20:33:20  arekm
- rel 2

Revision 1.28  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.27  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.26  2006/11/05 11:25:44  qboosh
- updated to 1.3.5, updated neon patch, removed obsolete debian patch

Revision 1.25  2006/11/05 02:38:44  qboosh
- unified

Revision 1.24  2006/01/02 18:01:03  arekm
- rel 4; patch from debian (fixes tests on ppc)

Revision 1.23  2006/01/02 15:09:03  arekm
- rel 3; fix docs build

Revision 1.22  2006/01/02 12:53:46  arekm
- rebuild with new neon

Revision 1.21  2005/06/11 01:50:49  undefine
- up to 1.3.3

Revision 1.20  2004/12/24 19:23:02  arekm
- up to 1.3 final

Revision 1.19  2004/12/17 00:52:23  undefine
- rel 2 for AC

Revision 1.18  2004/11/26 21:03:40  arekm
- up to pre3

Revision 1.17  2004/11/21 09:21:12  arekm
- 1.3 pre2

Revision 1.16  2004/11/02 00:08:50  arekm
- 1.3 pre1

Revision 1.15  2004/08/24 19:40:24  arekm
- rel 2

Revision 1.14  2004/08/24 19:38:35  arekm
R: diffutils, tar and patch (tla uses these externally)

Revision 1.13  2004/08/23 21:36:58  arekm
- build against external libneon; package only one type of docs

Revision 1.12  2004/08/23 20:55:44  arekm
- updated to 1.2.1; STBR

Revision 1.11  2004/03/13 02:00:59  arekm
- updated to 1.2

Revision 1.10  2003/12/22 13:29:32  jareq
- fixed url in Source0

Revision 1.9  2003/12/22 12:51:04  jareq
- updated to 1.1

Revision 1.8  2003/12/22 11:33:19  arekm
- updated to 1.1pre9

Revision 1.7  2003/11/17 20:40:11  jareq
- update to 1.1pre8

Revision 1.6  2003/10/21 22:21:21  qboosh
- removed COPYING (just GPL), =INSTALL,=RELEASE-ID (useless in rpm)

Revision 1.5  2003/10/21 22:15:29  qboosh
- pl, some cleanups

Revision 1.4  2003/10/11 21:06:05  jareq
- s/%{_bindir}/%{_bindir}\/\* in section %files
  ( %{_bindir} belong to FHS)
- release 2

Revision 1.3  2003/10/10 23:12:51  aredridel
- up to 1.1pre7

Revision 1.2  2003/09/01 15:37:49  ankry
- adapterized, pl summary, cosmetics; shouldn't be merged with arch.spec?

Revision 1.1  2003/08/31 22:35:45  aredridel
- added
